export interface IFluentdOptions {
    host: string;
    port?: number;
    namePrefix?: string;
    maxQueueLength?: number;
    reconnectDelayMs?: number;
    ackTimeoutMs?: number;
    sendMessageRetryDelayMs?: number;
    sendMessageRetryAttempts?: number;
}
export interface IFluentdService {
    emit(tag: string, data: Record<string, unknown>): Promise<void>;
}
//# sourceMappingURL=fluentd.interface.d.ts.map