"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTrafficLoggerFluentdProvider = void 0;
const TrafficLoggerFluentd_service_1 = require("./TrafficLoggerFluentd.service");
const createTrafficLoggerFluentdProvider = ({ provideToken = TrafficLoggerFluentd_service_1.TrafficLoggerFluentdService, fluentdService, }) => ({
    provide: provideToken,
    useFactory: (fluentdService) => new TrafficLoggerFluentd_service_1.TrafficLoggerFluentdService(fluentdService),
    inject: [fluentdService],
});
exports.createTrafficLoggerFluentdProvider = createTrafficLoggerFluentdProvider;
//# sourceMappingURL=TrafficLoggerFluentd.provider.js.map